Videos
curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{movie_id}/videos?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/videos?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/videos?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1241982,
"results": [
{
"id": "67564fdc6e0bed266b7f93d2",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "z0B0dG44DLc",
"name": "Special Screenings for Service Members",
"official": true,
"published_at": "2024-12-07T19:00:34.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "67564fa3d428ca1c5d62edf6",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "wK_7W5EIhuc",
"name": "Global Phenomenon",
"official": true,
"published_at": "2024-12-07T17:02:43.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "6753255c80e5b8f0a756410f",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "6s2xFzhAAb0",
"name": "Auliʻi Cravalho and the creators of MOANA 2 on taking the music beyond + favourite songs | BAFTA",
"official": true,
"published_at": "2024-12-05T17:00:07.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "675038e2b666830b6e43e613",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "onzzmEg5o2I",
"name": "The Moana 2 film-makers on the sequel to Disney's Polynesian adventure | BFI Q&A",
"official": true,
"published_at": "2024-12-03T11:01:05.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "67561a0666c89f44182c0a6a",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "9IisFuMUz44",
"name": "Now Playing In Theaters",
"official": true,
"published_at": "2024-12-02T21:24:37.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "674dc14cebb92e4a7e048cb3",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "RGhTO0ihiLo",
"name": "#1 Movie in the World",
"official": true,
"published_at": "2024-12-01T16:00:14.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "674dc156c3f01a13eea7492c",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "_oj9VuS-FLs",
"name": "Moanabes Booth To Screen",
"official": true,
"published_at": "2024-11-30T19:13:49.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "674dc15febb92e4a7e048cb9",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "iqEcsbm3SHQ",
"name": "\"Can I Get a Chee Hoo\" Featurette",
"official": true,
"published_at": "2024-11-29T19:00:22.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "674b66f439f0453bf43e5574",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "N86asJvoogk",
"name": "Interview with Dana Ledoux Miller, Jason Hand & Christina Chen",
"official": true,
"published_at": "2024-11-29T16:03:34.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "675042425201f8c15f178d74",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "pg1ynLZgVG8",
"name": "Surprise Performance! Barlow & Bear Bring Moana 2 Magic to London Waterloo!",
"official": true,
"published_at": "2024-11-29T16:00:48.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "674dc304d57747f211579d56",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "6y9tuQ0mrU0",
"name": "Movie Surfers - Moana 2 Premiere with Dwayne Johnson and Auli’i Cravalho",
"official": true,
"published_at": "2024-11-28T17:00:08.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "67499a026a3f5d05a7dc7a5f",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "i6CsD3p0UoU",
"name": "IMAX® Upgrade",
"official": true,
"published_at": "2024-11-28T01:26:35.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "675041fc355dbc0b15d7aadf",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "O-89bV7UmMk",
"name": "Drone Show in London",
"official": true,
"published_at": "2024-11-27T17:00:21.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "674dc29ed57747f211579d02",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "VQkIuebNjUE",
"name": "D23 Inside Disney - Moana 2",
"official": true,
"published_at": "2024-11-27T00:39:51.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "6744d31783158b0b26480088",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "YgavVSpQOb4",
"name": "LEGO Trailer",
"official": true,
"published_at": "2024-11-25T18:15:01.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "6744b51046260e14fbeb46ed",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "5mDZiceBvGc",
"name": "Dwayne Johnson Performs \"Can I Get a Chee Hoo?\"",
"official": true,
"published_at": "2024-11-23T17:12:33.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "6744b502893be609be3aa0ee",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "09bKWtA4dYI",
"name": "World Premiere Recap",
"official": true,
"published_at": "2024-11-22T21:20:25.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "6740e284015d2e0f702e0e0a",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "2wXapwnJE7M",
"name": "The Music of Motunui",
"official": true,
"published_at": "2024-11-22T17:00:02.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "673c7dedf0634cea382b67a6",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "sIZNsXFOqIw",
"name": "We're Back",
"official": true,
"published_at": "2024-11-18T18:00:29.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "67355a8371ef66978cfacf25",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "CxJghS8GK-4",
"name": "You Need A Crew",
"official": true,
"published_at": "2024-11-12T18:00:08.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "671fbe4ba4ac8a432c5cd11b",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "JdsSDUfHsC0",
"name": "Moana is Back!",
"official": true,
"published_at": "2024-10-28T16:04:20.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "671fbe69a4ac8a432c5cd134",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "IRBP8wpJ3fo",
"name": "Tickets on Sale",
"official": true,
"published_at": "2024-10-28T16:00:25.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "6716a71d13d4bed8dc1e23d5",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "i07sCEEFPBM",
"name": "Big, Bad Matangi",
"official": true,
"published_at": "2024-10-21T17:00:40.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "67055aa6222ead1edac01adb",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "JdSl4RMNtGE",
"name": "Special Look",
"official": true,
"published_at": "2024-10-08T16:00:08.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "66f585651d10a1709f47e95a",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "Wxemg6rtKAs",
"name": "\"We're Back\"",
"official": true,
"published_at": "2024-09-26T16:00:09.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "67055ab65f95892488c028f5",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "LvCedoSC4oA",
"name": "Watch Official Trailer Now",
"official": true,
"published_at": "2024-08-10T02:30:00.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "66b6f444013f50b977a8c1b9",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "hDZ7y8RP5HE",
"name": "Official Trailer",
"official": true,
"published_at": "2024-08-10T02:29:17.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "665611ce2ba7f8252316c781",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "qkgkUCqEum4",
"name": "Teaser Trailer",
"official": true,
"published_at": "2024-05-28T16:09:00.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "65c3f564c15f890163f565d1",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "cZSywj-vkxA",
"name": "First Look Announcement",
"official": true,
"published_at": "2024-02-07T21:11:31.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
}
]
}Movies
Videos
This endpoint is used to get a list of videos related to the movie.
GET
/
3
/
movie
/
{movie_id}
/
videos
Videos
Authorizations
Path Parameters
integer
Example:
"1241982"
Response
200 - application/json
OK
Example:
1241982
Show child attributes
Show child attributes
Example:
[
{
"id": "67564fdc6e0bed266b7f93d2",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "z0B0dG44DLc",
"name": "Special Screenings for Service Members",
"official": true,
"published_at": "2024-12-07T19:00:34.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "67564fa3d428ca1c5d62edf6",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "wK_7W5EIhuc",
"name": "Global Phenomenon",
"official": true,
"published_at": "2024-12-07T17:02:43.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "6753255c80e5b8f0a756410f",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "6s2xFzhAAb0",
"name": "Auliʻi Cravalho and the creators of MOANA 2 on taking the music beyond + favourite songs | BAFTA",
"official": true,
"published_at": "2024-12-05T17:00:07.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "675038e2b666830b6e43e613",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "onzzmEg5o2I",
"name": "The Moana 2 film-makers on the sequel to Disney's Polynesian adventure | BFI Q&A",
"official": true,
"published_at": "2024-12-03T11:01:05.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "67561a0666c89f44182c0a6a",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "9IisFuMUz44",
"name": "Now Playing In Theaters",
"official": true,
"published_at": "2024-12-02T21:24:37.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "674dc14cebb92e4a7e048cb3",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "RGhTO0ihiLo",
"name": "#1 Movie in the World",
"official": true,
"published_at": "2024-12-01T16:00:14.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "674dc156c3f01a13eea7492c",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "_oj9VuS-FLs",
"name": "Moanabes Booth To Screen",
"official": true,
"published_at": "2024-11-30T19:13:49.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "674dc15febb92e4a7e048cb9",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "iqEcsbm3SHQ",
"name": "\"Can I Get a Chee Hoo\" Featurette",
"official": true,
"published_at": "2024-11-29T19:00:22.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "674b66f439f0453bf43e5574",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "N86asJvoogk",
"name": "Interview with Dana Ledoux Miller, Jason Hand & Christina Chen",
"official": true,
"published_at": "2024-11-29T16:03:34.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "675042425201f8c15f178d74",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "pg1ynLZgVG8",
"name": "Surprise Performance! Barlow & Bear Bring Moana 2 Magic to London Waterloo!",
"official": true,
"published_at": "2024-11-29T16:00:48.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "674dc304d57747f211579d56",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "6y9tuQ0mrU0",
"name": "Movie Surfers - Moana 2 Premiere with Dwayne Johnson and Auli’i Cravalho",
"official": true,
"published_at": "2024-11-28T17:00:08.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "67499a026a3f5d05a7dc7a5f",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "i6CsD3p0UoU",
"name": "IMAX® Upgrade",
"official": true,
"published_at": "2024-11-28T01:26:35.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "675041fc355dbc0b15d7aadf",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "O-89bV7UmMk",
"name": "Drone Show in London",
"official": true,
"published_at": "2024-11-27T17:00:21.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "674dc29ed57747f211579d02",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "VQkIuebNjUE",
"name": "D23 Inside Disney - Moana 2",
"official": true,
"published_at": "2024-11-27T00:39:51.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "6744d31783158b0b26480088",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "YgavVSpQOb4",
"name": "LEGO Trailer",
"official": true,
"published_at": "2024-11-25T18:15:01.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "6744b51046260e14fbeb46ed",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "5mDZiceBvGc",
"name": "Dwayne Johnson Performs \"Can I Get a Chee Hoo?\"",
"official": true,
"published_at": "2024-11-23T17:12:33.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "6744b502893be609be3aa0ee",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "09bKWtA4dYI",
"name": "World Premiere Recap",
"official": true,
"published_at": "2024-11-22T21:20:25.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "6740e284015d2e0f702e0e0a",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "2wXapwnJE7M",
"name": "The Music of Motunui",
"official": true,
"published_at": "2024-11-22T17:00:02.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "673c7dedf0634cea382b67a6",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "sIZNsXFOqIw",
"name": "We're Back",
"official": true,
"published_at": "2024-11-18T18:00:29.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "67355a8371ef66978cfacf25",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "CxJghS8GK-4",
"name": "You Need A Crew",
"official": true,
"published_at": "2024-11-12T18:00:08.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "671fbe4ba4ac8a432c5cd11b",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "JdsSDUfHsC0",
"name": "Moana is Back!",
"official": true,
"published_at": "2024-10-28T16:04:20.000Z",
"site": "YouTube",
"size": 1080,
"type": "Featurette"
},
{
"id": "671fbe69a4ac8a432c5cd134",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "IRBP8wpJ3fo",
"name": "Tickets on Sale",
"official": true,
"published_at": "2024-10-28T16:00:25.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "6716a71d13d4bed8dc1e23d5",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "i07sCEEFPBM",
"name": "Big, Bad Matangi",
"official": true,
"published_at": "2024-10-21T17:00:40.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "67055aa6222ead1edac01adb",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "JdSl4RMNtGE",
"name": "Special Look",
"official": true,
"published_at": "2024-10-08T16:00:08.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "66f585651d10a1709f47e95a",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "Wxemg6rtKAs",
"name": "\"We're Back\"",
"official": true,
"published_at": "2024-09-26T16:00:09.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "67055ab65f95892488c028f5",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "LvCedoSC4oA",
"name": "Watch Official Trailer Now",
"official": true,
"published_at": "2024-08-10T02:30:00.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "66b6f444013f50b977a8c1b9",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "hDZ7y8RP5HE",
"name": "Official Trailer",
"official": true,
"published_at": "2024-08-10T02:29:17.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "665611ce2ba7f8252316c781",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "qkgkUCqEum4",
"name": "Teaser Trailer",
"official": true,
"published_at": "2024-05-28T16:09:00.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "65c3f564c15f890163f565d1",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "cZSywj-vkxA",
"name": "First Look Announcement",
"official": true,
"published_at": "2024-02-07T21:11:31.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
}
]
Was this page helpful?
⌘I